import { AfterViewInit, ElementRef } from '@angular/core';
import { Value } from '../../abstract/value';
import { ValidationPanelComponent } from '../validation-panel/validation-panel.component';
/**
 * HTML string of the app component.
 */
export declare const appComponentHtml: string;
/**
 * Lf app component.
 */
export declare class AppComponent extends Value implements AfterViewInit {
    protected _treeNavContainer: ElementRef;
    protected _backdrop: ElementRef;
    protected _validationPanel: ValidationPanelComponent;
    protected _$treeNavContainer: JQuery;
    protected _isTreeNavVisible: boolean;
    protected _isBackdropVisible: boolean;
    protected _shouldBackdropExist: boolean;
    protected _lastTreeNavTranslateX: any;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    readonly isTreeNavVisible: boolean;
    showTreeNav(): void;
    hideTreeNav(): void;
    validate(): void;
    /**
     * @override
     */
    protected validatePath(): void;
    private readonly _treeNavTranslateX;
    private _onHidden;
}
