import { ModalComponent } from '../modal.component';
/**
 * HTML string of the modal-header component.
 */
export declare const modalHeaderComponentHtml: string;
/**
 * Component that represents the header of a Bootstrap modal.
 */
export declare class ModalHeaderComponent {
    protected _modalComponent: ModalComponent;
    /**
     * Whether to display a button to close the modal.
     */
    showCloseButton: boolean;
    _hostClassModalHeader: boolean;
    constructor(_modalComponent: ModalComponent);
    /**
     * Hides the modal.
     */
    hide(): void;
}
