import { SingleSelectionValue } from '../../abstract/single-selection-value';
/**
 * HTML string of the select component.
 */
export declare const selectComponentHtml: string;
/**
 * Component used for selecting from a list of options in a dropdown `<select>`
 * menu.
 */
export declare class SelectComponent extends SingleSelectionValue {
    /**
     * Action to run whenever the `<select>` values changes.
     * @param evt `change` event.
     */
    _onSelectChange(evt: any): void;
}
