import { Value } from '../../../abstract/value';
import { TableComponent } from '../table.component';
/**
 * HTML string of the table row component.
 */
export declare const tableRowComponentHtml: string;
/**
 * LF table-row component.
 */
export declare class TableRowComponent extends Value {
    protected parentPathBasedComponent: TableComponent;
    ngOnInit(): void;
    readonly isEditable: boolean;
    readonly isSelected: boolean;
    readonly shouldShowError: boolean;
    readonly shouldShowWarning: boolean;
    setSelectedStatus(selectedStatus: boolean): void;
    setSelectedStatusFromLastSelected(selectedStatus: boolean): void;
    _onLabelClick(event: any, checkboxElement: any): void;
    _onSelectionCheckboxClick(event: any): void;
}
