import { ElementRef } from '@angular/core';
/**
 * Available types of dropdown item.
 */
export declare type DropdownItemType = 'item' | 'divider' | 'text' | 'header';
export declare class DropdownItemComponent {
    itemType: DropdownItemType;
    isActive: boolean;
    isDisabled: boolean;
    protected _tagName: string;
    constructor(_host: ElementRef);
    readonly _hostClassDropdownItem: boolean;
    readonly _hostClassDropdownDivider: boolean;
    readonly _hostClassDropdownItemText: boolean;
    readonly _hostClassDropdownHeader: boolean;
    readonly _hostClassDisabled: boolean;
    readonly _hostDisabled: "" | undefined;
}
