/**
 * Cross browser-compatible function which runs a provided function as fast as
 * possible in the next event loop. `asap` is either `requestAnimationFrame` or
 * `setTimeout` depending on the browser.
 */
export declare const asap: (cb: () => void) => void;
